curl --request GET \
--url https://api.passform.io/v1/templates/{templateId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.passform.io/v1/templates/{templateId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.passform.io/v1/templates/{templateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "drink_voucher",
"accountId": "LDvGjp645u6Q6t9pbvog",
"foregroundColor": "#FFFFF",
"backgroundColor": "#043A80",
"logo": "https://myshout.co/images/logo-white.svg",
"background": "https://myshout.co/images/backgrounds/image-62.jpg",
"icon": "https://myshout.co/images/favicon-150.png",
"title": "My Shout Drink Voucher",
"issuerName": "My Shout",
"sharingProhibited": false,
"fields": [
{
"key": "voucher",
"label": "free drinks",
"value": "1"
}
],
"backFields": [
{
"key": "terms",
"label": "Terms and Condictions",
"value": "https://myshout.co/terms"
}
]
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}{
"statusCode": 123,
"code": "<string>",
"error": "<string>",
"message": "<string>"
}Get template
Gets the template for creating passes from the given id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Response
Default Response
- Template
- Option 2
- Option 3
- Option 4
A template is the basis of a pass it defines the appearance of a pass and properties that don't change between instances of passes.
(Apple and Web Only) A hex or rgb value providing the foreground color. This is used for font color
^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$A hex or rgb value providing the foreground color
^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$A url to an image of size X by Y.
The icon but with text and doesnt need to be square
(Google, Apple Only) A url to an image of size X by Y. Also used in link previews.
The title displayed on the pass.
1The name of the issuer.
1Id is a unique identifier for the template
Account Id is the account the template belongs to
(Apple Only) A hex or rgb value providing the label color. If unset then the foreground color is used.
^(#([a-fA-F0-9]{3}){1,2}|(rgb|rgba)(s*(d+%?s*,s*){2,3}(d+%?s*,?s*)d*.?d*s*))$(Web Only) A url to an image that is displayed as the background. If this is not provided then backgroundColor is used.
Disable sharing from mobile wallets
Locations that trigger lock-screen relevance in Apple and Google Wallet (Apple's locations, Google's merchantLocations). Combined with any pass-level locations when passes are issued from this template.
10Show child attributes
Show child attributes
offer 4Show child attributes
Show child attributes
The values can be text, numbers or urls.
Show child attributes
Show child attributes
When true, the template is archived. No new passes can be created and all existing passes are voided.

